package com.xy.controller;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceAlgorithmChargingDto;
import com.xy.dto.DeviceAlgorithmChargingHistoryDto;
import com.xy.dto.DeviceSimChargeDto;
import com.xy.service.DeviceAlgorithmChargingHistoryServiceImpl;
import com.xy.service.DeviceAlgorithmChargingServiceImpl;
import com.xy.utils.MercAuthUtils;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@AllArgsConstructor
@Api(tags = "小程序-设备算法计费表")
@RestMappingController("merc-mini/deviceAlgorithmChargingHis")
public class DeviceAlgorithmChargingHisController {

    private DeviceAlgorithmChargingHistoryServiceImpl deviceAlgorithmChargingHistoryService;

    @PostMapping("pageByTopMerc")
    @ApiOperation("商管端-顶级商户设备激活明细查询")
    public R<PageBean<DeviceAlgorithmChargingHistoryDto.PageByTopMercVO>> pageByTopMerc(@RequestBody @Validated DeviceAlgorithmChargingHistoryDto.PageByTopMerc page) {
        page.setCurMercId(MercAuthUtils.getMercId());
        return deviceAlgorithmChargingHistoryService.pageByTopMerc(page);
    }
}
