package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备算法计费历史表
 * </p>
 *
 * @author lijin
 * @since 2023-06-29
 */
public class DeviceAlgorithmChargingHistoryDto {

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty("分页对象")
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class PageByTopMercVO {


        @ApiModelProperty(value = "代理商金额")
        private Integer agentMoney;

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "商户id")
        private Long mercId;
        @ApiModelProperty(value = "商户名称")
        private String mercName;
        @ApiModelProperty(value = "订单id")
        private String orderId;

        @ApiModelProperty(value = "设备id")
        private Long deviceId;

        @ApiModelProperty(value = "算法id")
        private Long algorithmId;

        @ApiModelProperty(value = "名称")
        private String name;

        @ApiModelProperty(value = "充值金额")
        private Integer chargingMoney;

        @ApiModelProperty(value = "充值数量")
        private Integer chargingSize;

        @ApiModelProperty(value = "充值方式")
        private Integer chargingType;

        @ApiModelProperty(value = "状态")
        private Integer status;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "备注")
        private String note;

        @ApiModelProperty(value = "附件")
        private String files;

    }

    @Data
    @Accessors(chain = true)
    public static class PageByTopMerc {

        @ApiModelProperty("分页对象")
        private PageBean page;

        @ApiModelProperty(value = "创建时间-起")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime beginCreateTime;

        @ApiModelProperty(value = "创建时间-始")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime endCreateTime;


        @ApiModelProperty(value = "商户id")
        private Long curMercId;

        @ApiModelProperty(value = "指定商户id")
        private Long chooseMercId;

        @ApiModelProperty(value = "id")
        private Long id;


        @ApiModelProperty(value = "订单id")
        private String orderId;

        @ApiModelProperty(value = "设备id")
        private Long deviceId;

        @ApiModelProperty(value = "算法id")
        private Long algorithmId;

        @ApiModelProperty(value = "名称")
        private String name;

        @ApiModelProperty(value = "充值金额")
        private Integer chargingMoney;

        @ApiModelProperty(value = "充值数量")
        private Integer chargingSize;

        @ApiModelProperty(value = "充值方式")
        private Integer chargingType;

        @ApiModelProperty(value = "状态")
        private Integer status;


        @ApiModelProperty(value = "备注")
        private String note;

        @ApiModelProperty(value = "附件")
        private String files;


    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "商户id")
        private Long mercId;

        @ApiModelProperty(value = "订单id")
        private String orderId;

        @ApiModelProperty(value = "设备id")
        private Long deviceId;

        @ApiModelProperty(value = "算法id")
        private Long algorithmId;

        @ApiModelProperty(value = "名称")
        private String name;

        @ApiModelProperty(value = "充值金额")
        private Integer chargingMoney;

        @ApiModelProperty(value = "充值数量")
        private Integer chargingSize;

        @ApiModelProperty(value = "充值方式")
        private Integer chargingType;

        @ApiModelProperty(value = "状态")
        private Integer status;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "备注")
        private String note;

        @ApiModelProperty(value = "附件")
        private String files;
    }

}
